Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server
Class Serializer

`java.lang.Object
oracle.jbo.server.Serializer`

Direct Known Subclasses:
  DOMSerializer

public abstract class Serializer
extends java.lang.Object

Field Summary
`static int` | `ACTIVATE_CONN_FLAG`
`static int` | `ACTIVATE_ROLLBACK_FLAG`
`static int` | `ACTIVATE_SKIP_RESTORE_VO_FROM_DEF`
`static int` | `ACTIVATE_TXN_FLAG`
`static int` | `DEFAULT_ACTIVATE_FLAGS`
`static int` | `DEFAULT_PASSIVATE_FLAGS`
`static int` | `PASSIVATE_CONN_FLAG`
`static int` | `PASSIVATE_STACK_FLAG`
`static int` | `PASSIVATE_TXN_FLAG`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PASSIVATE_STACK_FLAG

    public static final int PASSIVATE_STACK_FLAG

  See Also:
    Constant Field Values

### PASSIVATE_TXN_FLAG

    public static final int PASSIVATE_TXN_FLAG

  See Also:
    Constant Field Values

### PASSIVATE_CONN_FLAG

    public static final int PASSIVATE_CONN_FLAG

  See Also:
    Constant Field Values

### DEFAULT_PASSIVATE_FLAGS

    public static final int DEFAULT_PASSIVATE_FLAGS

  See Also:
    Constant Field Values

### ACTIVATE_ROLLBACK_FLAG

    public static final int ACTIVATE_ROLLBACK_FLAG

  See Also:
    Constant Field Values

### ACTIVATE_TXN_FLAG

    public static final int ACTIVATE_TXN_FLAG

  See Also:
    Constant Field Values

### ACTIVATE_CONN_FLAG

    public static final int ACTIVATE_CONN_FLAG

  See Also:
    Constant Field Values

### ACTIVATE_SKIP_RESTORE_VO_FROM_DEF

    public static final int ACTIVATE_SKIP_RESTORE_VO_FROM_DEF

  See Also:
    Constant Field Values

### DEFAULT_ACTIVATE_FLAGS

    public static final int DEFAULT_ACTIVATE_FLAGS

  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.